/* body {
  margin: 0;
  font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', 'Roboto', 'Oxygen',
    'Ubuntu', 'Cantarell', 'Fira Sans', 'Droid Sans', 'Helvetica Neue',
    sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

code {
  font-family: source-code-pro, Menlo, Monaco, Consolas, 'Courier New',
    monospace;
} */


@import "tailwindcss/base";

@import "tailwindcss/components";

@import "tailwindcss/utilities";

@layer components {
  .sidebar-icon {
    @apply relative flex items-center justify-center h-12 w-12 mt-2 mb-2 mx-auto 
    shadow-lg bg-gray-800 text-white hover:text-white hover:bg-blue-700 
    rounded-3xl hover:rounded-xl transition-all duration-300 ease-linear cursor-pointer;
  }

  .sidebar-tooltip {
    @apply absolute w-auto p-2 m-2 min-w-max left-14 rounded-md shadow-md text-white
     bg-gray-900 text-base font-bold transition-all duration-100 scale-0 origin-left;
  }

  .chat-item {
    @apply hover:text-gray-400 text-gray-500 hover:bg-gray-700 bg-gray-800 
    flex h-12 mx-2 my-2 pl-4 items-center gap-5 text-lg rounded-md
  }

  .chat-item-full {
    @apply text-gray-400 hover:bg-gray-600 bg-gray-700 flex h-20 mx-2 
    items-center gap-5 text-lg rounded-md
  }

  .chat-item-user {
    @apply text-gray-400 bg-gray-700 flex h-20 mx-2 
    items-center gap-5 text-lg rounded-md
  }

  .thin-scrollbar {
    @apply scrollbar-thin scrollbar-thumb-gray-900
  }

  .status-active {
    @apply !text-gray-100 !bg-gray-600
  }

  .icon-user {
    @apply hover:bg-gray-600 p-1.5 rounded-md
  }
}